# $Revision: 1.8 $, $Date: 2009/11/25 21:08:11 $
# TODO:
# - ignore in system incron.d some files: *~, *.rpmnew, *.rpmsave, ...
# - directories for incrontab, and many other things
Summary:	incron :: inotify cron system
Name:		incron
Version:	0.5.9
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	http://inotify.aiken.cz/download/incron/%{name}-%{version}.tar.bz2
# Source0-md5:	ccae2ca5cb4b142be002ab482250fb5f
Source1:	%{name}.init
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-gcc44.patch
URL:		http://incron.aiken.cz/
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Requires:	uname(release) >= 2.6.13
Provides:	group(crontab)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program is an "inotify cron" system. It consists of a daemon and
a table manipulator. You can use it a similar way as the regular cron.
The difference is that the inotify cron handles filesystem events
rather than time periods.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	LDFLAGS="%{rpmldflags} -Wall" \
	CXXFLAGS="%{rpmcxxflags} -pipe -Wall" \
	CXX="%{__cxx}" \

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,incron.d} \
	$RPM_BUILD_ROOT/var/spool/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/incron.conf{.example,}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 117 -r -f crontab
%useradd -u 134 -r -d /var/spool/cron -s /bin/false -c "crontab User" -g crontab crontab

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "incron Daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove crontab
	%groupremove crontab
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG COPYING doc/html/ README TODO
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,crontab) %config(noreplace) %{_sysconfdir}/incron.conf
%attr(755,root,root) %{_sbindir}/incrond
%attr(4755,root,crontab) %{_bindir}/incrontab
%dir %attr(751,root,crontab) /etc/incron.d
%{_mandir}/man1/incrontab.1*
%{_mandir}/man5/incron.conf.5*
%{_mandir}/man5/incrontab.5*
%{_mandir}/man8/incrond.8*
%attr(1730,root,crontab) /var/spool/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: incron.spec,v $
Revision 1.8  2009/11/25 21:08:11  blues
- 0.5.9 - gcc44 patch added

Revision 1.7  2009/01/02 08:44:58  blues
- 0.5.8 - gcc4.3 patch outdated

Revision 1.6  2008/12/03 17:40:24  ankry
- license info fix

Revision 1.5  2008/12/03 15:52:24  blues
- TODO added

Revision 1.4  2008/12/02 16:47:17  glen
- requires 2.6.13 kernel

Revision 1.3  2008/12/02 16:28:43  blues
- missing dirs addded; functions in init script

Revision 1.2  2008/12/02 16:10:53  blues
- pre/post fixed

Revision 1.1  2008/12/02 15:57:01  blues
- initial

